%define	longname  QJoyPad

Summary:	%{longname} - Emulate keyboard or mouse actions with a joystick
Name:		qjoypad
Version:	4.1.0
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/project/qjoypad/qjoypad/%{name}-4.1/%{name}-%{version}.tar.gz
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://qjoypad.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-build
BuildRequires:	qt4-devel
BuildRequires:	libxtst-devel

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse 
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep

%setup -q
bzcat %{SOURCE1} > %{name}-16x16.png
bzcat %{SOURCE2} > %{name}-32x32.png
bzcat %{SOURCE3} > %{name}-48x48.png

perl -pi -e 's,^doc\.extra,#doc\.extra,' src/qjoypad.pro
sed -i '/icons\.extra/s,\$\${icons\.path},\$\(INSTALL_ROOT\)\$\${icons\.path},g' src/qjoypad.pro

%build
cd src
./config --prefix=%{_prefix}

%make

%install
rm -rf %{buildroot}

%makeinstall INSTALL_ROOT=%{buildroot} -C src

#icons for the menu
install -D -m 644 %{name}-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16x16.png %{buildroot}%{_miconsdir}/%{name}.png


install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{longname}
Comment=Emulate keyboard or mouse actions with a joystick
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;Settings;X-MandrivaLinux-System-Configuration-Other;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Tue Mar 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.1.0-1mdv2010.0
+ Revision: 516838
- new upstream release 4.1.0
- build against qt4
- clean spec
- fix license
- drop patch

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 3.4.1-4mdv2010.0
+ Revision: 442558
- rebuild

* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 3.4.1-3mdv2009.1
+ Revision: 366361
- rebuild

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 360033
- fix 100%% cpu usage (sleep longer, sleep.patch, from azriek.fr,
  fixes bug #40886)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.4.1-1mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.4.1-1mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Feb 08 2007 Anssi Hannula <anssi@mandriva.org> 3.4.1-1mdv2007.0
+ Revision: 118219
- buildrequires libxtst-devel
- 3.4.1
- drop patch0, applied upstream
- Import qjoypad

* Sat Jul 29 2006 Anssi Hannula <anssi@mandriva.org> 3.4-1mdv2007.0
- 3.4
- fix menu
- xdg menu
- use default pixmaps
- mkrel

* Sat Jun 19 2004 Guillaume Bedot <littletux@zarb.org> 3.3-2mdk
- Fixed groups.

* Sat Jun 19 2004 Guillaume Bedot <littletux@zarb.org> 3.3-1mdk
- First package

